# Interface BlobOptions`Experimental`

interface BlobOptions {
endings?: "transparent" | "native";
type?: string;
}

- Defined in node_modules/@types/node/buffer.d.ts:129

#####
Index

### Properties

endings?
type?

## Properties

### `Optional` endings

endings?: "transparent" | "native"

One of either `'transparent'` or `'native'`. When set to `'native'`, line endings in string source parts will be converted to the platform native line-ending as specified by `require('node:os').EOL`.

- Defined in node_modules/@types/node/buffer.d.ts:134

### `Optional` type

type?: string

The Blob content-type. The intent is for `type` to convey the MIME media type of the data, however no validation of the type format is performed.

- Defined in node_modules/@types/node/buffer.d.ts:140